Subject: id doesn't seem to work properly for multiple users under W2K
From: Peter Schröder <[email-masked]>
To: [email-masked]
Date: Thu, 19 Jul 2001 11:51:41 -0500

I've installed cygwin as administrator. Now when I am myself and run the
bash shell "id -un" returns administrator instead of "ps" with
predictable results. I did set HOME environment variables correctly so
at least I am in my own directory. Where does id get its idea as to who
the current user is? I did notice that /etc/passwd contains entries for
all manner of accounts, but not mine. What's the right process to fix
this?

Thanks

Peter

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/